<h1 id="apidocumentation">API documentation</h1>

<h2 id="baseapiurl">Base API</h2>

<p>Current API version: <strong>v1</strong></p>
<p>Base url for API: <strong>/api/v1</strong></p>
<p>Auth method: <strong>basic http</strong></p>

<h2 id="measurementapi">Measurement API</h2>

<h3 id="ping">ping</h3>

<p>This covers rtt and jitter</p>

<p><strong>path</strong>: /api/v1/measurement/ping</p>
<p><strong>method</strong>: GET</p>
<p><strong>url parameters</strong>: ts = 1570808780465    //epoc time utc in milliseconds </p>

<p>Example:</p>

<pre><code>GET /api/v1/measurement/ping?ts=1570808780465
</code></pre>

<p>Response:</p>

<pre><code>{
  "ts":1570808780465
}
</code></pre>

<h3 id="dl_bandwidth">dl_bandwidth</h3>

<p>This covers downlink bandwidth</p>

<p><strong>path</strong>: /api/v1/measurement/downlink</p>
<p><strong>method</strong>: GET</p>
<p><strong>url parameters</strong>: </p>

<ul>
<li>size = 100    // size of the random payload to be returned</li>

<li>ts = 1570808780465    //epoc time utc in milliseconds</li>
</ul>

<p>Example:</p>

<pre><code>GET /api/v1/measurement/downlink?ts=1570808780465&size=100
</code></pre>

<p>Response:</p>

<pre><code>{
  "ts":1570808780465,
  "payload":"123456789101234567890...." //number of random characters equal to size
}
</code></pre>

<h3 id="ul_bandwidth">ul_bandwidth</h3>

<p>This covers uplink bandwidth</p>

<p><strong>path</strong>: /api/v1/measurement/uplink</p>
<p><strong>method</strong>: POST</p>
<p><strong>url parameters</strong>: </p>

<ul>
<li>ts = 1570808780465    //epoc time utc in milliseconds</li>
</ul>

<p><strong>Body</strong>: a random sequence of bytes in a json</p>

<p>Example:</p>

<pre><code>POST /api/v1/measurement/uplink?ts=1570808780465
{
  "ts":1570808780465,
  "payload":"123456789101234567890...." //number of random characters equal to size
}
</code></pre>

<p>Response:</p>

<pre><code>{
  "ts":1570808780465,
  "size": 43104              //how many characters I did find in the post payload
}
</code></pre>